/*
------------------------------------------------------------
   Kobo Deluxe - An enhanced SDL port of XKobo
------------------------------------------------------------
 * Copyright (C) 1995, 1996, Akira Higuchi
 * Copyright (C) 2001, David Olofson
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _KOBO_MANAGE_H_
#define _KOBO_MANAGE_H_

#include "glSDL.h"

class _manage
{
	static char *bgm;
	static int bgmlen;
	static int blank;
	static int next_state_out;
	static int next_state_next;
	static int bonus_next;
	static int scroll_jump;
	static int delay_count;
	static int introtime;
	static int rest_cores;
	static int exit_manage;
	static int playing;
	static int _get_ready;
	static int _game_over;
	static void next_scene();
	static void retry();

	static int scene_num;
	static int level;
	static int score;
	static int flush_score_count;
	static int flush_ships_count;
	static int score_changed;
	static int ships_changed;
	static void put_info();
	static void put_score();
	static void put_ships();
	static void flush_score();
	static void flush_ships();
  public:
	static int ships;
	static int count;
	static void init();
	static void init_resources_title();
	static void init_resources_to_play();
	static void run_demo();
	static void run_game();
	static void lost_myship();
	static void destroyed_a_core();
	static void add_score(int sc);
	static void key_down(SDLKey sym);
	static void key_up(SDLKey sym);
	static int title_blank()	{ return blank; }
	static void select_next();
	static void select_prev();
	static void regenerate();
	static void game_start();
	static void game_stop();
	static void pause_music(int p);
	static void abort();
	static int aborted()		{ return exit_manage; }
	static int game_stopped()	{ return !playing; }
	static int get_ready();
	static int game_over();
};

extern _manage manage;

#endif	//_KOBO_MANAGE_H_
